Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the DBD-Oracle CPAN distribution.

Report information
The Basics
Id: 6818
Status: resolved
Priority: 0/
Queue: DBD-Oracle

People
Owner: Nobody in particular
Requestors: jaap.dereus [...] shell.com
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 1.14
Fixed in: (no value)



Subject: mae step fails on aix 5.2 with gcc 3.3.3
Download (untitled) / with headers
text/plain 970b
Please could someone have a look. I am unfamiliar with make and gcc. The environment is an AIX5.2 OS on which the binaries of GCC 3.3.3 are installed. These was a pre-installed version of perl, but i replaced it by anown build version 5.8.3. I installed DBI version 1.42. I first tried to install DBD 1.15 but it failed with the same error. Than I thought maybe an older version will work, but no. This is the last message I get from the make step gcc: `-b' must come at the start of the command line make: *** [blib/arch/auto/DBD/Oracle/Oracle.so] Error 1 Searching and trying to fix it I saw a message in the perl Makefile.PL step complaining about an unrecognized argument in the LIBS. message: unrecognized argument in LIBS ignored '-bI:/local...../ksms.imp Probably I do something wrong. If so, please could you indicate where I can find the answer. It it IS a bug, is there a work around. Thanks in advance for your help. Jaap de Reus Senior Unix consultant
Download (untitled) / with headers
text/plain 1.2k
Please retry with DBD::Oracle 1.17 when it is released. If there's still a problem please reopen this ticket (or create a new one). Thanks. Tim. On Thu Jul 01 08:49:28 2004, guest wrote: Show quoted text
> Please could someone have a look. I am unfamiliar with make and gcc. > The environment is an AIX5.2 OS on which the binaries of GCC 3.3.3 > are installed. These was a pre-installed version of perl, but i > replaced it by anown build version 5.8.3. I installed DBI version > 1.42. I first tried to install DBD 1.15 but it failed with the same > error. Than I thought maybe an older version will work, but no. > This is the last message I get from the make step > gcc: `-b' must come at the start of the command line > make: *** [blib/arch/auto/DBD/Oracle/Oracle.so] Error 1 > > Searching and trying to fix it I saw a message in the perl Makefile.PL > step complaining about an unrecognized argument in the LIBS. > message: unrecognized argument in LIBS ignored > '-bI:/local...../ksms.imp > > Probably I do something wrong. If so, please could you indicate where > I can find the answer. It it IS a bug, is there a work around. > > Thanks in advance for your help. > Jaap de Reus > Senior Unix consultant


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.